<?xml version="1.0" encoding="utf-8" standalone="no"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.huami.watch.selftest" platformBuildVersionCode="22" platformBuildVersionName="5.1-215">
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>
    <uses-permission android:name="android.permission.BLUETOOTH"/>
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN"/>
    <uses-permission android:name="android.permission.VIBRATE"/>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <application android:allowBackup="true" android:icon="@mipmap/ic_launcher" android:label="@string/app_name" android:supportsRtl="true" android:theme="@style/AppTheme.NoActionBar">
        <activity android:label="@string/app_name" android:name=".MainActivity" android:theme="@style/AppTheme.NoActionBar.SwipeToDismiss">
            <intent-filter>
                <action android:name="com.huami.watch.selftest.START"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <activity android:name=".AutomaticTestActivity"/>
        <activity android:name=".TPTestActivity"/>
        <activity android:name=".LCDTestActivity" android:theme="@style/AppTheme.NoActionBar.SwipeToDismiss"/>
        <activity android:name=".VibratorAndBacklightTestActivity" android:theme="@style/AppTheme.NoActionBar.SwipeToDismiss"/>
        <activity android:name=".MICRecordTestActivity" android:theme="@style/AppTheme.NoActionBar.SwipeToDismiss"/>
        <activity android:name=".AudioRecordingActivity" android:theme="@style/AppTheme.NoActionBar.SwipeToDismiss"/>
        <activity android:name=".VibratorTestActivity" android:theme="@style/AppTheme.NoActionBar.SwipeToDismiss"/>
    </application>
</manifest>
